/*
 * HTTP Server
 */

#include <stdio.h>
#include <signal.h>
#include "HttpServer.h"

int
main (int argc, char * argv[])
{
  const char * conf;

  if (argc == 3)
    conf = argv[2];
  else if (argc == 2)
    conf = argv[1];
  else
    conf = "fpServ.conf";

  HttpServer server(conf, stderr);
  signal (SIGCLD, SIG_IGN);
  signal (SIGPIPE, SIG_IGN);
  server.serve();
}
