/*
 * Klasse fr Message Header
 */

#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include "HttpHeader.h"
#include "misc.h"


HttpHeader::HttpHeader (void)
{
  headers = NULL;
}

HttpHeader::~HttpHeader (void)
{
  _myll * h;

  while (h = headers) {
    headers = headers->next;
    free ((char *) h->str);
    free (h);
  }
}

void
HttpHeader::put (const char * str)
{
  _myll * h = new _myll;

  if (!h) return;

  h->str  = strdup (str);
  h->next = headers;
  headers = h;
}

const char *
HttpHeader::operator[] (const char * str)
{
  _myll * h = headers;
  const char * ptr;

  while (h) {
    if (!h->str) {h = h->next; continue;}
    if (fpstrnicmp (str, h->str, strlen (str)) == 0 &&
	h->str[strlen(str)] == ':') {
      ptr = h->str + strlen(str) + 1;
      while (isspace(*ptr)) ptr++;
      return ptr;
    }
    h = h->next;
  }
  return NULL;
}
