/*
 * Verwalte MimeTypes aus ~/.mime.types
 */

#ifndef __MIME_TYPES_H__
#define __MIME_TYPES_H__

class MimeTypes {
public:
  MimeTypes  (void);
  ~MimeTypes (void);

  void put  (const char *, const char *);
  void load (const char *);

  const char * operator[] (const char *);

private:
  struct _myll {
    const char *type;
    const char *ext;
    struct _myll *next;
  };
  _myll *types;
};

#endif
